Update a private location

Base URL
https://{kibana_url}
  • PUT /api/synthetics/private_locations/{id}
  • PUT /s/{space_id}/api/synthetics/private_locations/{id}
Auth

Update an existing private location's label. You must have all privileges for the Synthetics and Uptime feature in the Observability section of the Kibana feature privileges. When a private location's label is updated, all monitors using this location will also be updated to maintain data consistency.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

id string required

The unique identifier of the private location to be updated.

Request body

label string · min length: 1 required

A new label for the private location. Must be at least 1 character long.

Responses

A successful response.

application/json
agentPolicyId string

The ID of the agent policy associated with the private location.

geo object

Geographic coordinates (WGS84) for the location.

lat number required

The latitude of the location.

lon number required

The longitude of the location.

id string

The unique identifier of the private location.

isInvalid boolean

Indicates whether the location is invalid. If true, the location is invalid, which means the agent policy associated with the location is deleted.

label string

A label for the private location.

namespace string

The namespace of the location, which is the same as the namespace of the agent policy associated with the location.

400

If the label is shorter than 1 character the API will return a 400 Bad Request response with a corresponding error message.

404

If the private location with the specified ID does not exist, the API will return a 404 Not Found response.

Base URL
https://{kibana_url}